Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

datasource_id
string<uuid>
required

Query Parameters

file_name
string
required
page_number
integer | null
Required range: x >= 0
chunk_id
string | null

Response

Successful Response

total_page_count
integer
required

Number of pages in the file.

page_text
string
required

Text of the requested page.

page_number
integer
required

The page this text belongs to.